Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 286961 - x11-drivers/nvidia-drivers - remove built_with_use, use EAPI=2
Summary: x11-drivers/nvidia-drivers - remove built_with_use, use EAPI=2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Doug Goldstein (RETIRED)
URL: http://archives.gentoo.org/gentoo-dev...
Whiteboard:
Keywords:
: 287938 287939 (view as bug list)
Depends on:
Blocks: built_with_use
  Show dependency tree
 
Reported: 2009-09-29 17:41 UTC by Jeroen Roovers (RETIRED)
Modified: 2009-11-28 04:52 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2009-09-29 17:41:43 UTC
We still need to convert some of the most recent ebuilds for the older hardware slots to not use built_with_use and to use EAPI="2". I think for 96.43.13 it should go like this:


Index: nvidia-drivers-96.43.13.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-drivers/nvidia-drivers/nvidia-drivers-96.43.13.ebuild,v
retrieving revision 1.2
diff -u -B -r1.2 nvidia-drivers-96.43.13.ebuild
--- nvidia-drivers-96.43.13.ebuild      29 Aug 2009 04:21:27 -0000      1.2
+++ nvidia-drivers-96.43.13.ebuild      29 Sep 2009 17:41:04 -0000
@@ -2,6 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/x11-drivers/nvidia-drivers/nvidia-drivers-96.43.13.ebuild,v 1.2 2009/08/29 04:21:27 jer Exp $

+EAPI="2"
+
 inherit eutils multilib versionator linux-mod flag-o-matic nvidia-driver
 
 X86_NV="Linux-x86"
@@ -25,6 +27,7 @@
 EMULTILIB_PKG="true"
 
 COMMON="<x11-base/xorg-server-1.6.99
+       elibc_glibc? ( sys-libs/glibc[nptl] )
        multilib? ( app-emulation/emul-linux-x86-xlibs )
        kernel_FreeBSD? ( !media-video/nvidia-freebsd )
        !app-emulation/emul-linux-x86-nvidia
@@ -188,7 +191,9 @@
        else    
                unpack ${A}
        fi
+}

+src_prepare() {
        # Patches go below here, add brief description
        use x86-fbsd \
                && cd "${NV_DOC}" \
@@ -456,9 +461,6 @@
                esac
        fi

-       # If we've got nptl, we've got tls
-       built_with_use --missing true sys-libs/glibc nptl && return 0
-       
        # 2.3.5 turned off tls for linuxthreads glibc on i486 and i586
        if use x86 && has_version '>=sys-libs/glibc-2.3.5' ; then
                case ${CHOST/-*} in


Looking through the ebuild I get the faint impression that some of the other improvements in newer hardware slots' ebuilds may not have been backported to older hardware slots either, but that's for another time.

Work should be done on (at least) these versions:

nvidia-drivers-71.86.11.ebuild
nvidia-drivers-96.43.13.ebuild
nvidia-drivers-173.14.20.ebuild
nvidia-drivers-180.60.ebuild
nvidia-drivers-185.18.31.ebuild
nvidia-drivers-190.36.ebuild

I vote to veto removal of any ebuilds (by betelgeuse) until we sort this out ourselves. :)
Comment 1 Petteri Räty (RETIRED) gentoo-dev 2009-09-29 22:02:36 UTC
(In reply to comment #0)
> 
>  COMMON="<x11-base/xorg-server-1.6.99
> +       elibc_glibc? ( sys-libs/glibc[nptl] )
>         multilib? ( app-emulation/emul-linux-x86-xlibs )

This needs to be >=sys-libs/glibc-2.3[nptl] because we have 2.2 in tree
that does not have the nptl support. Alternatively you can use
|| ( >=sys-libs/glibc-2.3[nptl] =sys-libs/glibc-2.2* )

Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2009-10-06 16:58:58 UTC
All patched.
Comment 3 Kevin Bowling 2009-10-06 18:32:56 UTC
Problematic for GLIBC 2.10.1 since it doesn't have nptl use flag?
Comment 4 Maciej Mrozowski gentoo-dev 2009-10-06 18:54:17 UTC
Well, latest stable glibc (amd64) doesn't have it either - rendering stable nvidia-drivers + stable glibc unable to be installed together.

nptl USE flag seems to be removed since glibc-2.6.1 (judging from ebuilds)

Reopening
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2009-10-06 19:08:42 UTC
Gah. Seems this route will simply bloat DEPEND:

Index: nvidia-drivers-96.43.13.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-drivers/nvidia-drivers/nvidia-drivers-96.43.13.eb
uild,v                                                                                 retrieving revision 1.3
diff -u -B -r1.3 nvidia-drivers-96.43.13.ebuild
--- nvidia-drivers-96.43.13.ebuild      6 Oct 2009 16:58:13 -0000       1.3
+++ nvidia-drivers-96.43.13.ebuild      6 Oct 2009 19:06:56 -0000
@@ -27,7 +27,7 @@
 EMULTILIB_PKG="true"
 
 COMMON="<x11-base/xorg-server-1.6.99
-       elibc_glibc? ( >=sys-libs/glibc-2.3[nptl] )
+       elibc_glibc? (  || ( >=sys-libs/glibc-2.3[nptl] >=sys-libs/glibc-2.6.1 =sys-lib
s/glibc-2.2* ) )                                                                               multilib? ( app-emulation/emul-linux-x86-xlibs )
        kernel_FreeBSD? ( !media-video/nvidia-freebsd )
        !app-emulation/emul-linux-x86-nvidia

Perpaps we should drop that dependency entirely and check some other way or not at all whether NPTL is enabled.
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2009-10-06 19:10:09 UTC
*** Bug 287938 has been marked as a duplicate of this bug. ***
Comment 7 Jeroen Roovers (RETIRED) gentoo-dev 2009-10-06 19:14:22 UTC
I removed the elibc_glibc? DEPEND from all the ebuilds since it breaks horribly.
Comment 8 Jeroen Roovers (RETIRED) gentoo-dev 2009-10-06 19:44:10 UTC
*** Bug 287939 has been marked as a duplicate of this bug. ***
Comment 9 Peter Volkov (RETIRED) gentoo-dev 2009-10-06 20:25:29 UTC
(In reply to comment #5)
> Perpaps we should drop that dependency entirely and check some other way or not
> at all whether NPTL is enabled.

Is there any reason not to depend on >=glibc-2.6.1 (with appropriate comment)?

Comment 10 Nico Baggus 2009-10-07 08:13:25 UTC
OK, the cause seems to be fixed, now a solution ;-)
Comment 11 Doug Goldstein (RETIRED) gentoo-dev 2009-11-03 03:54:34 UTC
This has been fixed in the 190.42-r2 version. Future nvidia-drivers for older versions will be based on this driver version.

jer & spock. Please take note of the above comment if you bump nvidia-drivers.
Comment 12 Doug Goldstein (RETIRED) gentoo-dev 2009-11-15 06:46:23 UTC
96.43.14 and 173.14.22 are in the tree and are no longer using built_with_use
Comment 13 Doug Goldstein (RETIRED) gentoo-dev 2009-11-28 04:52:59 UTC
Fixed... some what... As I noted above, those ebuilds have the correct depends. The other fixed ebuilds could result in issues for some people with old glibc's due to EAPI 2's incomplete support for built_with_use